# Class Progress

Object
CodeList<Progress>
Progress

All Implemented Interfaces:
  `Serializable, Comparable<Progress>`

@UML(identifier="MD_ProgressCode", specification=ISO_19115) public final class Progress extends CodeList<Progress>
Status of the dataset or progress of a review.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Progress`
  `COMPLETED`
  Production of the data has been completed.
  `static final Progress`
  `HISTORICAL_ARCHIVE`
  Data has been stored in an offline storage facility
  `static final Progress`
  `OBSOLETE`
  Data is no longer relevant.
  `static final Progress`
  `ON_GOING`
  Data is continually being updated.
  `static final Progress`
  `PLANNED`
  Fixed date has been established upon or by which the data will be created or updated.
  `static final Progress`
  `REQUIRED`
  Data needs to be generated or updated.
  `static final Progress`
  `UNDER_DEVELOPMENT`
  Data is currently in the process of being created.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Progress[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static Progress`
  `valueOf(String code)`
  Returns the progress that matches the given string, or returns a new one if none match it.
  `static Progress[]`
  `values()`
  Returns the list of `Progress`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### COMPLETED

    @UML(identifier="completed", obligation=CONDITIONAL, specification=ISO_19115) public static final Progress COMPLETED
    Production of the data has been completed.

  - ### HISTORICAL_ARCHIVE

    @UML(identifier="historicalArchive", obligation=CONDITIONAL, specification=ISO_19115) public static final Progress HISTORICAL_ARCHIVE
    Data has been stored in an offline storage facility

  - ### OBSOLETE

    @UML(identifier="obsolete", obligation=CONDITIONAL, specification=ISO_19115) public static final Progress OBSOLETE
    Data is no longer relevant.

  - ### ON_GOING

    @UML(identifier="onGoing", obligation=CONDITIONAL, specification=ISO_19115) public static final Progress ON_GOING
    Data is continually being updated.

  - ### PLANNED

    @UML(identifier="planned", obligation=CONDITIONAL, specification=ISO_19115) public static final Progress PLANNED
    Fixed date has been established upon or by which the data will be created or updated.

  - ### REQUIRED

    @UML(identifier="required", obligation=CONDITIONAL, specification=ISO_19115) public static final Progress REQUIRED
    Data needs to be generated or updated.

  - ### UNDER_DEVELOPMENT

    @UML(identifier="underDevelopment", obligation=CONDITIONAL, specification=ISO_19115) public static final Progress UNDER_DEVELOPMENT
    Data is currently in the process of being created.

- ## Method Details

  - ### values

    public static Progress[] values()
    Returns the list of `Progress`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public Progress[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<Progress>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static Progress valueOf(String code)
    Returns the progress that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.